<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)

        ' Otwarcie pliku i zwrócenie obiektu klasy FileStream
        Using stream1 As System.IO.FileStream = System.IO.File.Open(MapPath("PlikTekstowy.txt"), System.IO.FileMode.Open)
        End Using

        ' Otwarcie pliku i zwrócenie obiektu klasy StreamReader do odczytu danych
        Using stream2 As System.IO.StreamReader = System.IO.File.OpenText(MapPath("PlikTekstowy.txt"))
        End Using
        
        ' Otwarcie strumienia plikowego w celu odczytania danych
        Using stream3 As System.IO.FileStream = System.IO.File.OpenRead(MapPath("PlikTekstowy.txt"))
        End Using
        
        ' Otwarcie strumienia plikowego w celu zapisania danych 
        Using stream4 As System.IO.FileStream = System.IO.File.OpenWrite(MapPath("PlikTekstowy.txt"))
        End Using
        
        ' Odczyt całego pliku i zwrócenie łańcucha znaków
        Dim data As String = System.IO.File.ReadAllText(MapPath("PlikTekstowy.txt"))

        ' Wykorzystanie zapytania LINQ do znalezienia określonych wierszy w pliku tekstowym
        Dim lines1 = From line In System.IO.File.ReadLines(MapPath("PlikTekstowy.txt"))
                    Where line.Contains("laoreet")
                    Select line

        ' Wykorzystanie zapytania LINQ do znalezienia określonych wierszy w pliku tekstowym
        Dim lines2 = From line In System.IO.File.ReadLines(MapPath("PlikTekstowy.txt"))
                    Where line.Contains("laoreet")
                    Select line
                    
        ' Dołączanie danych tekstowych do nowego pliku tekstowego 
        System.IO.File.AppendAllText(MapPath("PlikTekstowy1.txt"), data)

        ' Dołączanie kolekcji łańcuchów znaków do nowego pliku tekstowego 
        System.IO.File.AppendAllLines(MapPath("PlikTekstowy1.txt"), lines1)

        ' Zapis danych tekstowych do nowego pliku tekstowego 
        System.IO.File.WriteAllText(MapPath("PlikTekstowy2.txt"), data)

        ' Dołączanie kolekcji łańcuchów znaków do nowego pliku tekstowego 
        System.IO.File.WriteAllLines(MapPath("PlikTekstowy2.txt"), lines2)

    End Sub
</script>